| iep

## Function

Calculates the isoelectric point of a protein

## Description

This calculates the isoelectric point of a protein from its amino acid composition assuming that no electrostatic interactions change the propensity for ionization.

Adjusting the pH of an aqueous protein solution to the point where the numbers of positive and negative charges on the protein are equal brings the protein to its isoelectric point. This is often the point of lowest solubility, presumably because it is the point at which there are fewest intermolecular repulsions, so that the molecules tend to form aggregates.

The application can make a plot of the ionization curve with respect to pH and can write an output file of the data.

## Usage

Here is a sample session with iep

    % iep tsw:laci_ecoli
    Calculates the isoelectric point of a protein
    Output file [laci_ecoli.iep]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers (* if not always prompted):
      [-sequence]          seqall     Sequence database USA
    *  -graph              xygraph    Graph type
    *  -outfile            outfile    Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -step               float      Step value for pH
       -amino              integer    Number of N-termini
       -[no]termini        boolean    Include charge at N and C terminus
       -plot               toggle     Plot charge vs pH
       -[no]report         toggle     Write results to a file

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1             integer    Start of each sequence to be used
       -send1               integer    End of each sequence to be used
       -sreverse1           boolean    Reverse (if DNA)
       -sask1               boolean    Ask for begin/end/reverse
       -snucleotide1        boolean    Sequence is nucleotide
       -sprotein1           boolean    Sequence is protein
       -slower1             boolean    Make lower case
       -supper1             boolean    Make upper case
       -sformat1            string     Input sequence format
       -sdbname1            string     Database name
       -sid1                string     Entryname
       -ufo1                string     UFO features
       -fformat1            string     Features format
       -fopenfile1          string     Features file name

       "-graph" associated qualifiers
       -gprompt             boolean    Graph prompting
       -gtitle              string     Graph title
       -gsubtitle           string     Graph subtitle
       -gxtitle             string     Graph x axis title
       -gytitle             string     Graph y axis title
       -goutfile            string     Output file for non interactive displays
       -gdirectory          string     Output directory

       "-outfile" associated qualifiers
       -odirectory          string     Output directory

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence database USA | Readable sequence(s) | Required
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png, xml | EMBOSS_GRAPHICS value, or x11
-outfile | Output file name | Output file | <sequence>.iep
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-step | Step value for pH | Number from 0.010 to 1.000 | .5
-amino | Number of N-termini | Any integer value | 1
-[no]termini | Include charge at N and C terminus | Boolean value Yes/No | Yes
-plot | Plot charge vs pH | Toggle value Yes/No | No
-[no]report | Write results to a file | Toggle value Yes/No | Yes

## Input file format

iep

reads in any protein sequence USA.

### Input files for usage example

'tsw:laci_ecoli' is a sequence entry in the example protein database 'tsw'

### Database entry: tsw:laci_ecoli

    ID   LACI_ECOLI     STANDARD;      PRT;   360 AA.
    AC   P03023; P71309; Q47338; O09196;
    DT   21-JUL-1986 (Rel. 01, Created)
    DT   01-NOV-1997 (Rel. 35, Last sequence update)
    DT   15-DEC-1998 (Rel. 37, Last annotation update)
    DE   LACTOSE OPERON REPRESSOR.
    GN   LACI.
    OS   Escherichia coli.
    OC   Bacteria; Proteobacteria; gamma subdivision; Enterobacteriaceae;
    OC   Escherichia.
    RN   [1]
    RP   SEQUENCE FROM N.A.
    RX   MEDLINE; 78246991.
    RA   FARABAUGH P.J.;
    RT   "Sequence of the lacI gene.";
    RL   Nature 274:765-769(1978).
    RN   [2]
    RP   SEQUENCE FROM N.A.
    RC   STRAIN=K12 / MG1655;
    RX   MEDLINE; 97426617.
    RA   BLATTNER F.R., PLUNKETT G. III, BLOCH C.A., PERNA N.T., BURLAND V.,
    RA   RILEY M., COLLADO-VIDES J., GLASNER F.D., RODE C.K., MAYHEW G.F.,
    RA   GREGOR J., DAVIS N.W., KIRKPATRICK H.A., GOEDEN M.A., ROSE D.J.,
    RA   MAU B., SHAO Y.;
    RT   "The complete genome sequence of Escherichia coli K-12.";
    RL   Science 277:1453-1474(1997).
    RN   [3]
    RP   SEQUENCE FROM N.A.
    RC   STRAIN=K12 / MG1655;
    RA   DUNCAN M., ALLEN E., ARAUJO R., APARICIO A.M., CHUNG E., DAVIS K.,
    RA   FEDERSPIEL N., HYMAN R., KALMAN S., KOMP C., KURDI O., LEW H.,
    RA   LIN D., NAMATH A., OEFNER P., ROBERTS D., SCHRAMM S., DAVIS R.W.;
    RL   Submitted (NOV-1996) to the EMBL/GenBank/DDBJ databases.
    RN   [4]
    RP   SEQUENCE FROM N.A.
    RA   CHEN J., MATTHEWS K.K.S.M.;
    RL   Submitted (MAY-1991) to the EMBL/GenBank/DDBJ databases.
    RN   [5]
    RP   SEQUENCE FROM N.A.
    RA   MARSH S.;
    RL   Submitted (JAN-1997) to the EMBL/GenBank/DDBJ databases.
    RN   [6]
    RP   SEQUENCE OF 1-147; 159-230 AND 233-360.
    RX   MEDLINE; 76091932.
    RA   BEYREUTHER K., ADLER K., FANNING E., MURRAY C., KLEMM A., GEISLER N.;
    RT   "Amino-acid sequence of lac repressor from Escherichia coli.
    RT   Isolation, sequence analysis and sequence assembly of tryptic
    RT   peptides and cyanogen-bromide fragments.";
    RL   Eur. J. Biochem. 59:491-509(1975).
    RN   [7]

      [Part of this file has been deleted for brevity]

    CC   between  the Swiss Institute of Bioinformatics  and the  EMBL outstation -
    CC   the European Bioinformatics Institute.  There are no  restrictions on  its
    CC   use  by  non-profit  institutions as long  as its content  is  in  no  way
    CC   modified and this statement is not removed.  Usage  by  and for commercial
    CC   entities requires a license agreement (See http://www.isb-sib.ch/announce/
    CC   or send an email to license@isb-sib.ch).
    CC   --------------------------------------------------------------------------
    DR   EMBL; V00294; CAA23569.1; -.
    DR   EMBL; J01636; AAA24052.1; -.
    DR   EMBL; AE000141; AAC73448.1; -.
    DR   EMBL; U73857; AAB18069.1; ALT_INIT.
    DR   EMBL; X58469; CAA41383.1; -.
    DR   EMBL; U86347; AAB47270.1; ALT_INIT.
    DR   EMBL; U72488; AAB36549.1; -.
    DR   EMBL; U78872; AAB37348.1; -.
    DR   EMBL; U78873; AAB37351.1; -.
    DR   EMBL; U78874; AAB37354.1; -.
    DR   PIR; A03558; RPECL.
    DR   PIR; S02540; S02540.
    DR   PDB; 1LCC; 31-JAN-94.
    DR   PDB; 1LCD; 31-JAN-94.
    DR   PDB; 1LTP; 31-OCT-93.
    DR   PDB; 1TLF; 31-JUL-95.
    DR   PDB; 1LBG; 11-JUL-96.
    DR   PDB; 1LBH; 11-JUL-96.
    DR   PDB; 1LBI; 11-JUL-96.
    DR   PDB; 1LQC; 12-FEB-97.
    DR   ECO2DBASE; H039.0; 6TH EDITION.
    DR   ECOGENE; EG10525; LACI.
    DR   PFAM; PF00356; lacI; 1.
    DR   PFAM; PF00532; Peripla_BP_like; 1.
    DR   PROSITE; PS00356; HTH_LACI_FAMILY; 1.
    KW   Transcription regulation; DNA-binding; Repressor; 3D-structure.
    FT   DNA_BIND      6     25       H-T-H MOTIF.
    FT   MUTAGEN      17     17       Y->H: BROADENING OF SPECIFICITY.
    FT   MUTAGEN      22     22       R->N: RECOGNIZE AN OPERATOR VARIANT.
    FT   VARIANT     282    282       Y -> D (IN T41 MUTANT).
    FT   CONFLICT    286    286       S -> L (IN AAA24052, REF. 2, 4 AND 5).
    FT   HELIX         6     13
    FT   TURN         14     14
    FT   HELIX        17     24
    FT   HELIX        32     44
    FT   TURN         49     50
    SQ   SEQUENCE   360 AA;  38564 MW;  4CA5A1D6 CRC32;
         MKPVTLYDVA EYAGVSYQTV SRVVNQASHV SAKTREKVEA AMAELNYIPN RVAQQLAGKQ
         SLLIGVATSS LALHAPSQIV AAIKSRADQL GASVVVSMVE RSGVEACKAA VHNLLAQRVS
         GLIINYPLDD QDAIAVEAAC TNVPALFLDV SDQTPINSII FSHEDGTRLG VEHLVALGHQ
         QIALLAGPLS SVSARLRLAG WHKYLTRNQI QPIAEREGDW SAMSGFQQTM QMLNEGIVPT
         AMLVANDQMA LGAMRAITES GLRVGADISV VGYDDTEDSS CYIPPSTTIK QDFRLLGQTS
         VDRLLQLSQG QAVKGNQLLP VSLVKRKTTL APNTQTASPR ALADSLMQLA RQVSRLESGQ
    //

## Output file format

### Output files for usage example

### File: laci_ecoli.iep

    IEP of LACI_ECOLI from 1 to 360
    Isoelectric Point = 6.8820

       pH     Bound    Charge
      1.00    81.96    37.96
      1.50    81.89    37.89
      2.00    81.65    37.65
      2.50    80.91    36.91
      3.00    78.79    34.79
      3.50    73.70    29.70
      4.00    65.15    21.15
      4.50    56.73    12.73
      5.00    51.75     7.75
      5.50    49.36     5.36
      6.00    47.63     3.63
      6.50    45.56     1.56
      7.00    43.59    -0.41
      7.50    42.27    -1.73
      8.00    41.22    -2.78
      8.50    39.87    -4.13
      9.00    38.26    -5.74
      9.50    36.24    -7.76
     10.00    33.03   -10.97
     10.50    28.46   -15.54
     11.00    23.58   -20.42
     11.50    19.41   -24.59
     12.00    15.19   -28.81
     12.50     9.75   -34.25
     13.00     4.64   -39.36
     13.50     1.75   -42.25
     14.00     0.59   -43.41

For each pH point it gives the number of bound electrons and the charge.

## Data files

iep reads in local data file Epk.dat which contains amino acid pK values used to calculate the isoelectric point of the whole protein

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

Here is the default Epk.dat file:

    # pK values for amino acids
    # O=Ornithine J=Hydroxyproline
    #
    # Amino acid	pK
    Amino		8.6
    Carboxyl	3.6

    C		8.5
    D		3.9
    E		4.1
    H		6.5
    K		10.8
    R		12.5
    Y		10.1

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

0 if successful.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranseq | Back translate a protein sequence
charge | Protein charge plot
checktrans | Reports STOP codons and ORF statistics of a protein
compseq | Counts the composition of dimer/trimer/etc words in a sequence
emowse | Protein identification by mass spectrometry
freak | Residue/base frequency table or plot
mwcontam | Shows molwts that match across a set of files
mwfilter | Filter noisy molwts from mass spec output
octanol | Displays protein hydropathy
pepinfo | Plots simple amino acid properties in parallel
pepstats | Protein statistics
pepwindow | Displays protein hydropathy
pepwindowall | Displays protein hydropathy of a set of sequences

## Author(s)

Alan Bleasby (ableasby © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Completed 1st August 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None